| Home | Libraries | People | FAQ | More

##### static_buffer_base::static_buffer_base

Constructor.

###### Synopsis

    static_buffer_base(
        void* p,
        std::size_t size);

###### Description

This creates a dynamic buffer using the provided storage area.

###### Parameters

Name | Description
--- | ---
`p` | A pointer to valid storage of at least `n` bytes.
`size` | The number of valid bytes pointed to by `p`.